Bug 1820575 - [ovirt] openshift-install errors out if vnic profile != vnic name
Summary: [ovirt] openshift-install errors out if vnic profile != vnic name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Linux
high
urgent
Target Milestone: ---
: 4.4.z
Assignee: Roy Golan
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On: 1816714
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-03 11:12 UTC by Roy Golan
Modified: 2020-05-26 16:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Having a vnic profile which has a different name then the network it belongs too Consequence: installation fails early when trying to create the master VMs. Fix: add a property to install-config.yaml to specify the vnic profile ID. For example: platform: ovirt: vnicProfileID: 68833f9f-e89c-4891-b768-e2ba0815b76b Result: The specified profile ID will be used when creating the master and workers VMs network interfaces.
Clone Of: 1816714
Environment:
Last Closed: 2020-05-26 16:50:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3569 None closed Bug 1820575: Cherry-pick oVirt PR 3406 vNIC profiles 2020-11-02 08:32:58 UTC
Red Hat Product Errata RHBA-2020:2180 None None None 2020-05-26 16:50:45 UTC

Comment 5 Jan Zmeskal 2020-05-18 14:43:15 UTC
Tested with: 
rhvm-4.3.10.3-0.1.master.el7.noarch
openshift-install-linux-4.4.0-0.nightly-2020-05-18-103425

Verification steps: 
1. In RHV manager, create network profile called "testprofile" and add it to "ovirtmgmt" network
2. openshift-install create install-config
3. Choose ovirtmgmt -> testprofile
4. openshift-install create cluster
5. Make sure that created template has network "ovirtmgmt" and network profile "testprofile"

For this z-stream cherry-pick, I did only this basic verification. More thorough verification for conducted after merging to master (OCP4.5), see here: https://bugzilla.redhat.com/show_bug.cgi?id=1816714#c17

Comment 7 errata-xmlrpc 2020-05-26 16:50:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2180


Note You need to log in before you can comment on or make changes to this bug.